<?php
require_once(getabspath("classes/cipherer.php"));
$tdatamotivo_ajuste = array();
	$tdatamotivo_ajuste[".NumberOfChars"] = 80; 
	$tdatamotivo_ajuste[".ShortName"] = "motivo_ajuste";
	$tdatamotivo_ajuste[".OwnerID"] = "";
	$tdatamotivo_ajuste[".OriginalTable"] = "motivo_ajuste";

//	field labels
$fieldLabelsmotivo_ajuste = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsmotivo_ajuste["Spanish"] = array();
	$fieldToolTipsmotivo_ajuste["Spanish"] = array();
	$fieldLabelsmotivo_ajuste["Spanish"]["idmotivo_ajuste"] = "Idmotivo Ajuste";
	$fieldToolTipsmotivo_ajuste["Spanish"]["idmotivo_ajuste"] = "";
	$fieldLabelsmotivo_ajuste["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsmotivo_ajuste["Spanish"]["nombre"] = "";
	if (count($fieldToolTipsmotivo_ajuste["Spanish"]))
		$tdatamotivo_ajuste[".isUseToolTips"] = true;
}
	
	
	$tdatamotivo_ajuste[".NCSearch"] = true;



$tdatamotivo_ajuste[".shortTableName"] = "motivo_ajuste";
$tdatamotivo_ajuste[".nSecOptions"] = 0;
$tdatamotivo_ajuste[".recsPerRowList"] = 1;
$tdatamotivo_ajuste[".mainTableOwnerID"] = "";
$tdatamotivo_ajuste[".moveNext"] = 1;
$tdatamotivo_ajuste[".nType"] = 0;

$tdatamotivo_ajuste[".strOriginalTableName"] = "motivo_ajuste";




$tdatamotivo_ajuste[".showAddInPopup"] = false;

$tdatamotivo_ajuste[".showEditInPopup"] = false;

$tdatamotivo_ajuste[".showViewInPopup"] = false;

$tdatamotivo_ajuste[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatamotivo_ajuste[".listAjax"] = true;
else 
	$tdatamotivo_ajuste[".listAjax"] = false;

	$tdatamotivo_ajuste[".audit"] = false;

	$tdatamotivo_ajuste[".locking"] = false;

$tdatamotivo_ajuste[".inlineEdit"] = true;
$tdatamotivo_ajuste[".inlineAdd"] = true;

$tdatamotivo_ajuste[".exportTo"] = true;


$tdatamotivo_ajuste[".delete"] = true;

$tdatamotivo_ajuste[".showSimpleSearchOptions"] = false;

$tdatamotivo_ajuste[".showSearchPanel"] = true;

if (isMobile())
	$tdatamotivo_ajuste[".isUseAjaxSuggest"] = false;
else 
	$tdatamotivo_ajuste[".isUseAjaxSuggest"] = true;

$tdatamotivo_ajuste[".rowHighlite"] = true;

// button handlers file names

$tdatamotivo_ajuste[".addPageEvents"] = false;

// use timepicker for search panel
$tdatamotivo_ajuste[".isUseTimeForSearch"] = false;




$tdatamotivo_ajuste[".allSearchFields"] = array();

$tdatamotivo_ajuste[".allSearchFields"][] = "nombre";

$tdatamotivo_ajuste[".googleLikeFields"][] = "idmotivo_ajuste";
$tdatamotivo_ajuste[".googleLikeFields"][] = "nombre";


$tdatamotivo_ajuste[".advSearchFields"][] = "nombre";

$tdatamotivo_ajuste[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatamotivo_ajuste[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatamotivo_ajuste[".strOrderBy"] = $tstrOrderBy;

$tdatamotivo_ajuste[".orderindexes"] = array();

$tdatamotivo_ajuste[".sqlHead"] = "SELECT idmotivo_ajuste,   nombre";
$tdatamotivo_ajuste[".sqlFrom"] = "FROM motivo_ajuste";
$tdatamotivo_ajuste[".sqlWhereExpr"] = "";
$tdatamotivo_ajuste[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatamotivo_ajuste[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatamotivo_ajuste[".arrGroupsPerPage"] = $arrGPP;

$tableKeysmotivo_ajuste = array();
$tableKeysmotivo_ajuste[] = "idmotivo_ajuste";
$tdatamotivo_ajuste[".Keys"] = $tableKeysmotivo_ajuste;

$tdatamotivo_ajuste[".listFields"] = array();
$tdatamotivo_ajuste[".listFields"][] = "nombre";

$tdatamotivo_ajuste[".viewFields"] = array();

$tdatamotivo_ajuste[".addFields"] = array();
$tdatamotivo_ajuste[".addFields"][] = "nombre";

$tdatamotivo_ajuste[".inlineAddFields"] = array();
$tdatamotivo_ajuste[".inlineAddFields"][] = "nombre";

$tdatamotivo_ajuste[".editFields"] = array();

$tdatamotivo_ajuste[".inlineEditFields"] = array();
$tdatamotivo_ajuste[".inlineEditFields"][] = "nombre";

$tdatamotivo_ajuste[".exportFields"] = array();
$tdatamotivo_ajuste[".exportFields"][] = "nombre";

$tdatamotivo_ajuste[".printFields"] = array();

//	idmotivo_ajuste
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idmotivo_ajuste";
	$fdata["GoodName"] = "idmotivo_ajuste";
	$fdata["ownerTable"] = "motivo_ajuste";
	$fdata["Label"] = "Idmotivo Ajuste"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idmotivo_ajuste"; 
		$fdata["FullName"] = "idmotivo_ajuste";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatamotivo_ajuste["idmotivo_ajuste"] = $fdata;
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "motivo_ajuste";
	$fdata["Label"] = "Nombre"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nombre"; 
		$fdata["FullName"] = "nombre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=45";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatamotivo_ajuste["nombre"] = $fdata;

	
$tables_data["motivo_ajuste"]=&$tdatamotivo_ajuste;
$field_labels["motivo_ajuste"] = &$fieldLabelsmotivo_ajuste;
$fieldToolTips["motivo_ajuste"] = &$fieldToolTipsmotivo_ajuste;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["motivo_ajuste"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["motivo_ajuste"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_motivo_ajuste()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idmotivo_ajuste,   nombre";
$proto0["m_strFrom"] = "FROM motivo_ajuste";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idmotivo_ajuste",
	"m_strTable" => "motivo_ajuste"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "motivo_ajuste"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto9=array();
$proto9["m_link"] = "SQLL_MAIN";
			$proto10=array();
$proto10["m_strName"] = "motivo_ajuste";
$proto10["m_columns"] = array();
$proto10["m_columns"][] = "idmotivo_ajuste";
$proto10["m_columns"][] = "nombre";
$obj = new SQLTable($proto10);

$proto9["m_table"] = $obj;
$proto9["m_alias"] = "";
$proto11=array();
$proto11["m_sql"] = "";
$proto11["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto11["m_column"]=$obj;
$proto11["m_contained"] = array();
$proto11["m_strCase"] = "";
$proto11["m_havingmode"] = "0";
$proto11["m_inBrackets"] = "0";
$proto11["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto11);

$proto9["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto9);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_motivo_ajuste = createSqlQuery_motivo_ajuste();
		$tdatamotivo_ajuste[".sqlquery"] = $queryData_motivo_ajuste;
	
if(isset($tdatamotivo_ajuste["field2"])){
	$tdatamotivo_ajuste["field2"]["LookupTable"] = "carscars_view";
	$tdatamotivo_ajuste["field2"]["LookupOrderBy"] = "name";
	$tdatamotivo_ajuste["field2"]["LookupType"] = 4;
	$tdatamotivo_ajuste["field2"]["LinkField"] = "email";
	$tdatamotivo_ajuste["field2"]["DisplayField"] = "name";
	$tdatamotivo_ajuste[".hasCustomViewField"] = true;
}

$tableEvents["motivo_ajuste"] = new eventsBase;
$tdatamotivo_ajuste[".hasEvents"] = false;

$cipherer = new RunnerCipherer("motivo_ajuste");

?>